<template>
  <v-img
    :id="settings.id || null"
    :class="settings.class"
    :style="settings.style"
    :width="settings.width"
    :height="settings.height"
    :src="src"
  ></v-img>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  data: () => ({
    src: '',
  }),

  computed: {
    settings() {
      return this.layout.settings
    },
  },

  created() {
    if (process.client) this.loadSrc()
  },

  methods: {
    async loadSrc() {
      try {
        const src = this.settings.image.path
        const data = await this.$api('v1').request('cockpit/image', { method: 'POST', data: { src } })

        this.src = data
      } catch (err) {
        console.warn(err)
      }
    },
  },
}
</script>
